import { requestAPI } from '../request.js';

// 获取个人信息详情
export function getProfileDetail() {
  return requestAPI({
    url: '/frontend/profile/detail',
    method: 'GET'
  });
}

// 修改个人信息
export function updateProfile(params) {
  return requestAPI({
    url: '/frontend/profile/update',
    method: 'POST',
    data: params
  });
}

// 修改密码
export function updatePassword(params) {
  return requestAPI({
    url: '/frontend/profile/password',
    method: 'POST',
    data: params
  });
}
